import { initEditor } from "@/modules/editor";
import { defineComponent } from "vue";

export default defineComponent(() => {
  const editor = initEditor();

  const params = new URLSearchParams(location.hash.split("?")[1]);
  editor.actions.initDesign(params.get("id") || "");

  return () => <editor.components.Viewport class="!h-100vh" />;
});
